# QGraphicsSceneContextMenuEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsSceneEvent.

### Constructor

- void QGraphicsSceneContextMenuEvent(Type type)

### Constructor Properties

- prototype: The QGraphicsSceneContextMenuEvent prototype object
- Mouse
- Keyboard
- Other
- Reason( value )

### Prototype Object Properties

The QGraphicsSceneContextMenuEvent prototype object inherits properties from the QGraphicsSceneEvent prototype object and also has the following properties.

- KeyboardModifiers modifiers()
- QPointF pos()
- Reason reason()
- QPointF scenePos()
- QPoint screenPos()
- void setModifiers(KeyboardModifiers modifiers)
- void setPos(QPointF pos)
- void setReason(Reason reason)
- void setScenePos(QPointF pos)
- void setScreenPos(QPoint pos)

### Instance Properties

QGraphicsSceneContextMenuEvent objects have no special properties beyond those inherited from the QGraphicsSceneContextMenuEvent prototype object.